From 34895381b5860a7278f8a0e9d8d85644ef629008 Mon Sep 17 00:00:00 2001
From: Matthias Schmitz <matthias@sigxcpu.org>
Date: Tue, 8 Apr 2014 22:32:47 +0200
Subject: Fix reportlab version detection for versions greater 2.x

Since python-reportlab 3 is in sid the version detection was broken as
it only detects versions starting with 2.x .
Patch-Name: 0002-Fix-reportlab-version-detection-for-versions-greater.patch
---
 sx/pisa3/pisa_util.py | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/sx/pisa3/pisa_util.py b/sx/pisa3/pisa_util.py
index d31d5a9..f5bfa68 100644
--- a/sx/pisa3/pisa_util.py
+++ b/sx/pisa3/pisa_util.py
@@ -40,10 +40,10 @@ import shutil
 
 rgb_re = re.compile("^.*?rgb[(]([0-9]+).*?([0-9]+).*?([0-9]+)[)].*?[ ]*$")
 
-if not(reportlab.Version[0] == "2" and reportlab.Version[2] >= "1"):
+if not((reportlab.Version[0] == "2" and reportlab.Version[2] >= "1") or reportlab.Version[0] > "2"):
     raise ImportError("Reportlab Version 2.1+ is needed!")
 
-REPORTLAB22 = (reportlab.Version[0] == "2" and reportlab.Version[2] >= "2")
+REPORTLAB22 = ((reportlab.Version[0] == "2" and reportlab.Version[2] >= "2") or reportlab.Version[0] > "2")
 # print "***", reportlab.Version, REPORTLAB22, reportlab.__file__
 
 import logging
